# Get Favorite HSCodes

## /hs-codes/favorites

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/hs-codes/favorites`

This endpoint allows you to fetch lists of your saved favorite HS codes.

#### Query Parameters

| Name    | Type   | Description                                                                  |
| ------- | ------ | ---------------------------------------------------------------------------- |
| perPage | Number | Specify how many records will be sent in a single response. Defaults to 100. |
| page    | Number | Specify what page of records will be sent in response. Defaults to 1.        |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Set value to `Bearer SECRET_KEY` |

{% tabs %}
{% tab title="✅ 200" %}

```json
{
    "status": true,
    "message": "Favorite HS codes retrieved successfully",
    "data": {
        "favorite_hs_codes": [
            {
                "scientific_name": "",
                "regulatory_documents": [],
                "_id": "693da4d80261e755c6b9e160",
                "user": "USER-96349674838",
                "description": "Analog wristwatch",
                "hs_code": "9102110000",
                "hs_code_id": "HS-K4Y1YN2LKO50XBKJ",
                "created_at": "2025-12-13T17:39:36.019Z",
                "updated_at": "2025-12-13T17:39:36.019Z",
                "__v": 0,
                "id": "693da4d80261e755c6b9e160"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/hs-codes/get-favorite-hscodes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
